import request from '@/utils/request'

// 查询综合保税区经济运行主要指标列表
export function listECONOMICSINDEX(query) {
  return request({
    url: '/ECONOMICSINDEX/list',
    method: 'get',
    params: query
  })
}

// 查询综合保税区经济运行主要指标所有列表
export function listAllECONOMICSINDEX(query) {
  return request({
    url: '/ECONOMICSINDEX/listAll',
    method: 'get',
    params: query
  })
}

// 查询综合保税区经济运行主要指标详细
export function getECONOMICSINDEX(id) {
  return request({
    url: '/ECONOMICSINDEX/getInfo/' + id,
    method: 'get'
  })
}

// 新增综合保税区经济运行主要指标
export function addECONOMICSINDEX(data) {
  return request({
    url: '/ECONOMICSINDEX/add',
    method: 'post',
    data: data
  })
}

// 修改综合保税区经济运行主要指标
export function updateECONOMICSINDEX(data) {
  return request({
    url: '/ECONOMICSINDEX/edit',
    method: 'post',
    data: data
  })
}

// 删除综合保税区经济运行主要指标
export function delECONOMICSINDEX(id) {
  return request({
    url: '/ECONOMICSINDEX/remove/' + id,
    method: 'get'
  })
}
